-dontusemixedcaseclassnames
-dontskipnonpubliclibraryclasses
-dontpreverify
-verbose
-optimizations !code/simplification/arithmetic,!field/*,!class/merging/*
-keepattributes SourceFile,LineNumberTable

-flattenpackagehierarchy
-repackageclasses ''
-allowaccessmodification

-dontoptimize
#-dontobfuscate
-ignorewarnings
-dontnote android.os.SystemProperties
-dontnote libcore.icu.ICU

-keep class com.tapjoy.** { *; }
-keep class com.turbomanage.** { *; }
-keep class com.threatmetrix.** { *; }
-keepattributes JavascriptInterface
#-dontwarn com.tapjoy.**
#-dontwarn com.threatmetrix.**
#-dontwarn com.turbomanage.**

# Keep the names of classes/members we need for client functionality.
-keepnames @com.google.android.gms.common.annotation.KeepName class *
-keepclassmembernames class * {
        @com.google.android.gms.common.annotation.KeepName *;
}

-keep class com.google.android.gms.common.GooglePlayServicesUtil {
      public <methods>;
}

-keep class com.google.android.gms.ads.identifier.AdvertisingIdClient {
      public <methods>;
}

-keep class com.google.android.gms.ads.identifier.AdvertisingIdClient$Info {
      public <methods>;
}
-dontwarn com.google.android.gms.**
# end for google play services lib

-keep public class com.google.android.gms.ads.** {
      public *;
}

-keep public class com.google.ads.** {
      public *;
}

-keep public class * extends android.content.BroadcastReceiver
-keep public class * extends android.app.Activity
-keep public class * extends android.app.Application
-keepclassmembers class **.R$* {
  public static <fields>;
}
-dontwarn com.facebook.ads.**
-keep class com.facebook.ads.**{*;}
-dontwarn com.google.android.gms.**
-keepattributes EnclosingMethod
-dontnote com.google.android.gms.**

-keep class com.facebook.ads.NativeAd
-keep class com.google.android.gms.ads.formats.NativeContentAd


-keep public class * extends android.widget.ImageView{
    public *;
}
-keep public class * extends android.app.Activity
-dontwarn okio.**

#dapweather begin
-keep public class com.daps.weather.notification.DapWeatherNotification {
  *;
}
-keep class com.daps.weather.notification.DapWeatherNotification$WeatherNotificationListener { *; }
-keep public class com.daps.weather.weathercard.DapWeatherView {
  public <methods>;
}

-keep public class com.daps.weather.DapWeatherActivity {
  public <methods>;
}
-keep public class com.daps.weather.service.DapWeatherMsgService {
  *;
}
-keep public class com.daps.weather.location.DapWeatherLocationsService {
  *;
}

-keep public class com.daps.weather.DapWeather {
  public <methods>;
}

-keep public class com.daps.weather.weathercard.DapWeatherEnterImageView {
  public <methods>;
}
-keep public class com.daps.weather.floatdisplay.FloatDisplayController {
  *;
}
-keep public class com.daps.weather.base.SharedPrefsUtils {
  public static boolean isSuspensionOn(android.content.Context);
  public static void setSuspensionOn(android.content.Context,boolean);
}
-keep class com.daps.weather.bean.**{*;}
-keepattributes InnerClasses
#dapweather end

